import $ from 'jquery';
import mounted from '../example/main';

describe('集成测试', () => {

  mounted();

  it('首页渲染', () => {
    expect($('body')[0]).toMatchSnapshot();
  });

  it('路由切换[hello]', () => {
    document.location.hash = '/hello'
    window.onhashchange()
    expect($('body')[0]).toMatchSnapshot();
  });

  it('路由切换[comp]', () => {
    document.location.hash = '/comp'
    window.onhashchange()
    expect($('body')[0]).toMatchSnapshot();
  });

  it('点击菜单[hello]', () => {
    const btn = $(".hello .nav-item_inner")[0];
    btn.onclick = () => {
      document.location.hash = '/hello'
      window.onhashchange()
    };
    btn.click();
    expect($('body')[0]).toMatchSnapshot();
  })

  it('点击菜单[comp]', () => {
    const btn = $(".comp .nav-item_inner")[0];
    btn.onclick = () => {
      document.location.hash = '/comp'
      window.onhashchange()
    };
    btn.click();
    expect($('body')[0]).toMatchSnapshot();
  });

  it('组件传参[父传子]', () => {
    document.location.hash = '/comp'
    window.onhashchange()
    const getDateBtn = $('.js_get_data')[0];
    getDateBtn.click();
    expect($('body')[0]).toMatchSnapshot();
  });
 
  it('组件传参[子传父]', () => {
    document.location.hash = '/comp'
    window.onhashchange()
    $('.js_my_input').val('设置参数')
    const confirmBtn = $('.js_confirm')[0];
    confirmBtn.click();
    expect($('body')[0]).toMatchSnapshot();
  });

});
